cmd_list = \
{'%': {'class': '',
       'description': 'Percent. Returns (x × y) / 100. (Leaves the y value in '
                      'the y-register.)',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 2,
       'params': '(num,percent)',
       'suggestion': '<code>Percent(num,percent)</code>',
       'supported': '✓ (renamed)'},
 '%CH': {'class': '',
         'description': 'Percent change. Returns (x – y)×(100 / y).',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 2,
         'params': '(y,x)',
         'suggestion': '<code>PercentCH(y,x)</code>',
         'supported': '✓ (renamed)'},
 '+': {'class': '',
       'description': 'Addition. Returns y + x.',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': '',
       'supported': '✓'},
 '+/–': {'class': 'na',
         'description': '<del>Change the sign of the number in the x-register. '
                        'While entering an exponent, can also be used to '
                        'change the sign of the exponent.</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Not applicable, please use native Python.',
         'supported': 'N/A'},
 '1/X': {'class': '',
         'description': 'Reciprocal. Returns 1/x.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '<code>Reciprocal(n)</code>',
         'supported': '✓ (renamed)'},
 '10↑X': {'class': '',
          'description': 'Common exponential. Returns 10x.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>CommonExp(n)</code>',
          'supported': '✓ (renamed)'},
 'ABS': {'class': '',
         'description': 'Absolute value. Returns |x|.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'ACOS': {'class': '',
          'description': 'Arc cosine. Returns cos–1 x.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'ACOSH': {'class': '',
           'description': 'Arc hyperbolic cosine. Returns cosh–1 x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '',
           'supported': '✓'},
 'ADV': {'class': '',
         'description': 'Advance the printer paper one line',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'AGRAPH': {'class': '',
            'description': 'Alpha graphics. Display a graphics image. Each '
                           'character in the Alpha register specifies an 8-dot '
                           'column pattern. The x- and y-registers specify the '
                           'pixel location of the image.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': 2,
            'params': '(row, col)',
            'suggestion': '',
            'supported': '✓'},
 'AIP': {'class': '',
         'description': 'Append Integer part of x to the Alpha register.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'ALENG': {'class': '',
           'description': 'Alpha length. Returns the number of characters in '
                          'the Alpha register.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'ALL': {'class': '',
         'description': 'Select the All display format.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'ALLΣ': {'class': '',
          'description': 'Select ALLΣ (All-statistics) mode, which uses 13 '
                         'summation coefficients.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '<code>ALLStat()</code>',
          'supported': '✓ (renamed)'},
 'AND': {'class': 'no',
         'description': '<del>Logical AND. Returns x AND y.</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use built in Python boolean operators instead e.g. '
                       '"not val or val2 and val3"',
         'supported': 'No'},
 'AOFF': {'class': '',
          'description': 'Alpha off. Exit from the ALPHA menu.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'AON': {'class': '',
         'description': 'Alpha on. Select the ALPHA menu.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'ARCL': {'class': '',
          'description': 'Alpha recall. Copy data into the Alpha register, '
                         'appending it to the current contents. Numbers are '
                         'formatted using the current display format.  '
                         'Parameter: register or variable.   <del>(indirect '
                         'allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 1,
          'params': '(...)',
          'suggestion': 'Same multi parameter features as <code>alpha()</code> '
                        'except always appends to the alpha register. Must '
                        'specify variables and literals, not the stack.',
          'supported': '✓'},
 'AROT': {'class': '',
          'description': 'Alpha rotate. Rotate the Alpha register by the '
                         'number of characters specified in the x-register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'ASHF': {'class': '',
          'description': 'Alpha shift. Shifts the six left-most characters out '
                         'of the Alpha register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'ASIN': {'class': '',
          'description': 'Arc sine. Returns sin–1 x.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'ASINH': {'class': '',
           'description': 'Arc hyperbolic sine. Returns sinh–1 x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '',
           'supported': '✓'},
 'ASSIGN': {'class': '',
            'description': 'Assign a function, program, or variable to a menu '
                           'key in the CUSTOM menu. Parameter 1: function '
                           'name, alpha program label, or variable name. '
                           'Parameter 2: key number (01–18).',
            'indirect_allowed': False,
            'num_arg_fragments': 2,
            'num_params': 2,
            'params': '(func, keynum)',
            'suggestion': "ASSIGN('someprog', 18)",
            'supported': '✓'},
 'ASTO': {'class': '',
          'description': 'Alpha store. Copy the first six characters in the '
                         'Alpha register into a register or variable. '
                         'Parameter: register or variable <del>(indirect '
                         'allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 1,
          'params': '(var)',
          'suggestion': '',
          'supported': '✓'},
 'ATAN': {'class': '',
          'description': 'Arc tangent. Returns tan–1 x.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'ATANH': {'class': '',
           'description': 'Arc hyperbolic tangent. Returns tanh–1 x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '',
           'supported': '✓'},
 'ATOX': {'class': '',
          'description': 'Alpha to X. Convert the left-most character in the '
                         'Alpha register to its character code (returned to '
                         'the x-register) and delete the character.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'AVIEW': {'class': '',
           'description': 'Alpha view. Display the Alpha register.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(...)',
           'suggestion': 'Use the new alpha() function to build up strings of '
                         'any length in the alpha register.',
           'supported': '✓'},
 'BASE+': {'class': '',
           'description': 'Base addition. Returns the 36-bit sum of y + x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(y,x)',
           'suggestion': '<code>BASEplus(y,x)</code>',
           'supported': '✓ (renamed)'},
 'BASE+/–': {'class': '',
             'description': "Base change sign. Returns the 36-bit 2's "
                            'complement of x.',
             'indirect_allowed': False,
             'num_arg_fragments': 0,
             'num_params': 2,
             'params': '(y,x)',
             'suggestion': '<code>BASEplusMinus(y,x)</code>',
             'supported': '✓ (renamed)'},
 'BASEx': {'class': '',
           'description': 'Base multiplication. Returns the 36-bit product of '
                          'y x x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(y,x)',
           'suggestion': '<code>BASEtimes(y,x)</code>',
           'supported': '✓ (renamed)'},
 'BASE÷': {'class': '',
           'description': 'Base division. Returns the 36-bit quotient of y ÷ '
                          'x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(y,x)',
           'suggestion': '<code>BASEdivide(y,x)</code>',
           'supported': '✓ (renamed)'},
 'BASE–': {'class': '',
           'description': 'Base subtraction. Returns the 36-bit difference of '
                          'y – x.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(y,x)',
           'suggestion': '<code>BASEminus(y,x)</code>',
           'supported': '✓ (renamed)'},
 'BEEP': {'class': '',
          'description': 'Sound a sequence of four tones.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'BEST': {'class': '',
          'description': 'Select the best curve-fitting model for the current '
                         'statistical data.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'BINM': {'class': '',
          'description': 'Select Binary mode (base 2)',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'BIT?': {'class': '',
          'description': 'Test the xth bit of y. If the bit is set (1), '
                         '<del>execute the next program line</del>; if the bit '
                         'is clear (0), <del>skip the next program line</del>.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 2,
          'params': '(y,xth_bit)',
          'suggestion': '<code>testBIT(y,xth_bit)</code>',
          'supported': '✓ (renamed)'},
 'BST': {'class': 'na',
         'description': 'Back step. Move the program pointer to the previous '
                        'program line. (Not programmable.)',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': '',
         'supported': 'Not programmable'},
 'CF': {'class': '',
        'description': 'Clear flag nn (00 ≤  nn ≤ 35 or 81 ≤  nn ≤ 99). '
                       'Parameter: flag number <del>(indirect allowed)</del>',
        'indirect_allowed': True,
        'num_arg_fragments': 1,
        'num_params': 1,
        'params': '(flag)',
        'suggestion': '',
        'supported': '✓'},
 'CLA': {'class': '',
         'description': 'Clear Alpha register. If Alpha mode is on and '
                        'character entry is terminated (no cursor displayed), '
                        'then  ◄  also executes the CLA function.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'CLALL': {'class': 'na',
           'description': '<del>Clear all. Clear all stored programs and '
                          'data.(Not Programmable.)</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Not applicable, please use native Python.',
           'supported': 'N/A'},
 'CLD': {'class': '',
         'description': 'Clear display. Clear a message from the display.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'CLKEYS': {'class': '',
            'description': 'Clear all CUSTOM menu key assignments.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': -1,
            'params': '()',
            'suggestion': '',
            'supported': '✓'},
 'CLLCD': {'class': '',
           'description': 'Clear LCD (liquid crystal display). Blanks the '
                          'entire display.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'CLMENU': {'class': '',
            'description': 'Clear MENU. Deletes all menu key definitions for '
                           'the programmable menu.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': -1,
            'params': '()',
            'suggestion': '',
            'supported': '✓'},
 'CLP': {'class': '',
         'description': 'Clear a program from memory. Parameter: global label',
         'indirect_allowed': False,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(funcname_str)',
         'suggestion': 'Pass in the name of the function as a string e.g. '
                       "CLP('myfunc')",
         'supported': '✓'},
 'CLRG': {'class': '',
          'description': 'Clear Registers. Clear all of the numbered storage '
                         'registers to zero.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': 'Will clear all Python variables (but not named '
                        'variables) - use with care.',
          'supported': '✓'},
 'CLST': {'class': 'na',
          'description': '<del>Clear Stack. Clear the stack registers to '
                         'zero.</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Not applicable, please use native Python.',
          'supported': 'N/A'},
 'CLV': {'class': '',
         'description': 'Clear a variable from memory. Parameter: variable '
                        'name <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(var)',
         'suggestion': '',
         'supported': '✓'},
 'CLX': {'class': 'na',
         'description': '<del>Clear x-register to zero. If digit entry is '
                        'terminated (no cursor in the display), then  ◄  also '
                        'executes CLX.</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Not applicable, please use native Python.',
         'supported': 'N/A'},
 'CLΣ': {'class': '',
         'description': 'Clear statistics. Clear the accumulated statistical '
                        'data in the summation registers.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '<code>CLStat()</code>',
         'supported': '✓ (renamed)'},
 'COMB': {'class': '',
          'description': 'Combinations of y items taken x at a time = y! / '
                         '[x!(y-x)!]',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 2,
          'params': '(y,x)',
          'suggestion': 'As usual pass in two parameters instead of referring '
                        'to the stack x and y.',
          'supported': '✓'},
 'COMPLEX': {'class': '',
             'description': 'Convert two real numbers (or matrices) into a '
                            'complex number (or matrix). Converts a complex '
                            'number (or matrix) into two real numbers (or '
                            'matrices).',
             'indirect_allowed': False,
             'num_arg_fragments': 0,
             'num_params': 1,
             'params': '(...)',
             'suggestion': 'Takes one or two parameters. If the parameters are '
                           'two normal numbers <code>(real,imaginary)</code>, '
                           'returns a complex number e.g. <code>complex_num = '
                           'COMPLEX(0, 1)</code>.  <b>Note:</b> You can also '
                           'enter complex numbers without this COMPLEX '
                           'function using native Python syntax e.g. <code>0 + '
                           '1j</code> which is engineering notation for '
                           '<code>0 + i1</code>. Yes, Python uses the letter '
                           "'j' not the letter 'i' and puts it after the "
                           'imaginary number, not before.<BR> If the parameter '
                           'is a single complex number, returns two normal '
                           'numbers - assign the two return values into '
                           'variables e.g. <code>real, imaginary = '
                           'COMPLEX(complex_num)</code>',
             'supported': '✓'},
 'CORR': {'class': '',
          'description': 'Returns a correlation coefficient using the current '
                         'statistical data and curve-fitting model.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'COS': {'class': '',
         'description': 'Cosine. Returns cos(x).',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'COSH': {'class': '',
          'description': 'Hyperbolic cosine. Returns cosh(x).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'CPX?': {'class': '',
          'description': 'If the x-register contains a complex number, '
                         '<del>execute the next program line</del>; if the '
                         'x-register does not contain a complex number, '
                         '<del>skip the next program line</del>.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>isCPX(n)</code>',
          'supported': '✓ (renamed)'},
 'CPXRES': {'class': '',
            'description': 'Complex-results. Enable the calculator to return a '
                           'complex result, even if the inputs are real '
                           'numbers.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': -1,
            'params': '()',
            'suggestion': '',
            'supported': '✓'},
 'CROSS': {'class': '',
           'description': 'Returns the cross product of two vectors (matrices '
                          'or complex numbers).',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(m,m)',
           'suggestion': '',
           'supported': '✓'},
 'DECM': {'class': '',
          'description': 'Selects Decimal mode (base 10).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'DEG': {'class': '',
         'description': 'Select the Degrees angular mode.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'DEL': {'class': 'na',
         'description': 'Delete the specified number of lines from the current '
                        'program. Program-entry mode must be on. (Not '
                        'programmable.) Parameter: number of lines.',
         'indirect_allowed': False,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': '',
         'supported': 'Not programmable'},
 'DELAY': {'class': '',
           'description': 'Set the print delay time to x seconds.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(num_seconds)',
           'suggestion': '',
           'supported': '✓'},
 'DELR': {'class': '',
          'description': 'Delete row. Delete the current row from the indexed '
                         'matrix.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': '',
          'supported': 'mymatrix.delr(n)'},
 'DET': {'class': '',
         'description': 'Determinant. Returns the determinant of the matrix in '
                        'the x-register.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(mvar)',
         'suggestion': '',
         'supported': '✓'},
 'DIM': {'class': '',
         'description': 'Dimension a matrix to x columns and y rows. If the '
                        'matrix does not exist, DIM creates it. Parameter: '
                        'variable name <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use this to resize existing matrices - you cannot '
                       'create new matrices with dim()',
         'supported': 'mymatrix.dim(rows,cols)'},
 'DIM?': {'class': '',
          'description': 'Returns the dimensions of the matrix in the '
                         'x-register (rows to the y-register and columns to '
                         'the x-register).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(mvar)',
          'suggestion': '<code>whatDIM(mvar)</code><br><br>Returns two values, '
                        'which need to be assigned to variables e.g. '
                        '<code>rows, cols = whatDIM(mymatrix)</code>.  Also '
                        'consider <code>len(mymatrix)</code> if you just want '
                        'the number of rows.',
          'supported': '✓ (renamed)'},
 'DOT': {'class': '',
         'description': 'Dot Product.  Returns the dot product of two vectors '
                        '(matrices or complex numbers).',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 2,
         'params': '(n,n)',
         'suggestion': '',
         'supported': '✓'},
 'DSE': {'class': 'no',
         'description': '<del>Decrement, Skip if (less than or) Equal. Given '
                        'ccccccc.fflii in a variable or register, decrements '
                        'ccccccc by ii and skips the next program line if '
                        'ccccccc is now ≤  fff. Parameter: register or '
                        'variable (indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use native Python for...range() or while... for '
                       'looping.',
         'supported': 'No'},
 'EDIT': {'class': '',
          'description': 'Edit a matrix in the x-register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(mvar)',
          'suggestion': 'Exactly the same as EDITN - pass in the variable '
                        'containing the matrix to edit.',
          'supported': '✓'},
 'EDITN': {'class': '',
           'description': 'Edit a named matrix. Parameter: variable name '
                          '<del>(indirect allowed)</del>',
           'indirect_allowed': True,
           'num_arg_fragments': 1,
           'num_params': 1,
           'params': '(mvar)',
           'suggestion': '',
           'supported': '✓'},
 'END': {'class': 'na',
         'description': '<del>End of a program.</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Not applicable, please use native Python.',
         'supported': 'N/A'},
 'ENG': {'class': '',
         'description': 'Select Engineering display format. Parameter: number '
                        'of digits <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(digits)',
         'suggestion': '',
         'supported': '✓'},
 'ENTER': {'class': 'no',
           'description': '<del>Separate two numbers keyed in sequentially; '
                          'copies x into the y-register, y into the '
                          'z-register, and z into the t-register, and loses '
                          't.</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python variables',
           'supported': 'No'},
 'EXITALL': {'class': '',
             'description': 'Exit all menus.',
             'indirect_allowed': False,
             'num_arg_fragments': 0,
             'num_params': -1,
             'params': '()',
             'suggestion': '',
             'supported': '✓'},
 'EXPF': {'class': '',
          'description': 'Select the exponential curve-fitting model.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'E↑X': {'class': '',
         'description': 'Natural exponential. Returns ex.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '<code>Eto(n)</code>',
         'supported': '✓ (renamed)'},
 'E↑X-1': {'class': '',
           'description': 'Natural exponential for values of x which are close '
                          'to zero. Returns ex–1, which provides a much higher '
                          'accuracy in the fractional part of the result.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '<code>EtoMinus1(n)</code>',
           'supported': '✓ (renamed)'},
 'FC?': {'class': '',
         'description': 'Flag clear test. If the specified flag is clear, '
                        '<del>executes the next program line</del>; if the '
                        'flag is set, <del>skips the next program line</del>. '
                        'Parameter: flag number <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(flag)',
         'suggestion': '<code>isFC(flag)</code>',
         'supported': '✓ (renamed)'},
 'FC?C': {'class': 'no',
          'description': '<del>Flag clear test and clear. If the specified '
                         'flag is clear, execute the next program line; if the '
                         'flag is set, skip the next program line. Cleared '
                         'after the test is complete. (This function can be '
                         'used only with flags 00 through 35 and 81 through '
                         '99.) Parameter: flag number (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use any normal variable to store boolean values, test '
                        'with the Python "if".',
          'supported': 'No'},
 'FCSTX': {'class': '',
           'description': 'Forecasts an x-value given a y-value.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '',
           'supported': '✓'},
 'FCSTY': {'class': '',
           'description': 'Forecasts a y-value given an x-value.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '',
           'supported': '✓'},
 'FIX': {'class': '',
         'description': 'Select Fixed-decimal display format. Parameter: '
                        'number of digits <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'FNRM': {'class': '',
          'description': 'Returns the Frobenius norm of the matrix in the '
                         'x-register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(mvar)',
          'suggestion': '',
          'supported': '✓'},
 'FP': {'class': '',
        'description': 'Returns the fractional part of x.',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 1,
        'params': '(n)',
        'suggestion': '',
        'supported': '✓'},
 'FS?': {'class': '',
         'description': 'Flag set test. If the specified flag is set, '
                        '<del>execute the next program line</del>; if the flag '
                        'is clear, <del>skip the next program line</del>. '
                        'Parameter: flag number <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(flag)',
         'suggestion': '<code>isFS(flag)</code>',
         'supported': '✓ (renamed)'},
 'FS?C': {'class': 'no',
          'description': '<del>Flag set test and clear. If the specified flag '
                         'is set, execute the next program line; if the flag '
                         'is clear, skip the next program line. Clear the flag '
                         'after the test is complete. (This function can be '
                         'used only with flags 00 through 35 and 81 through '
                         '99.) Parameter: flag number (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use any normal variable to store boolean values, test '
                        'with the Python "if".',
          'supported': 'No'},
 'GAMMA': {'class': '',
           'description': 'Gamma function. Returns Γ(x).',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '',
           'supported': '✓'},
 'GETKEY': {'class': '',
            'description': 'Get key. The calculator waits for you to press a '
                           'key. When you do, the key number is returned to '
                           'the x-register. Keys are numbered from 1 through '
                           '37 ( Σ+  through  ÷ )for normal keys and 38 '
                           'through 74 (■ Σ–   through ■CATALOG) for shifted '
                           'keys.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': -1,
            'params': '()',
            'suggestion': '',
            'supported': '✓'},
 'GETM': {'class': 'no',
          'description': '<del>Get matrix. Copy a submatrix into the '
                         'x-register from the indexed matrix.</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
          'supported': 'No'},
 'GRAD': {'class': '',
          'description': 'Select Grads angular mode.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'GROW': {'class': 'no',
          'description': '<del>Select Grow mode. Executing  →  or J+ causes '
                         'the matrix to grow by one new row if the index '
                         'pointers are at the last (lower-right) element in '
                         'the matrix.</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'To compensate use the new command mymatrix.appendr()',
          'supported': 'No'},
 'GTO': {'class': 'na',
         'description': '<del>Go to label. From the keyboard, move the program '
                        'pointer to the specified label. In a running program, '
                        'cause the program to branch to the specified label. '
                        'Parameter: local or global label (indirect '
                        'allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Not applicable, please use native Python.',
         'supported': 'N/A'},
 'HEXM': {'class': '',
          'description': 'Select Hexadecimal mode (base 16).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'HMS+': {'class': '',
          'description': 'Add x and y using H.MMSSss (hours-minutes-seconds) '
                         'format.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 2,
          'params': '(n,n)',
          'suggestion': '<code>HMSplus(n,n)</code>',
          'supported': '✓ (renamed)'},
 'HMS–': {'class': '',
          'description': 'Subtract x from y using H.MMSSss format.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 2,
          'params': '(n,n)',
          'suggestion': '<code>HMSminus(n,n)</code>',
          'supported': '✓ (renamed)'},
 'I+': {'class': 'no',
        'description': '<del>Increment the row pointer in the indexed '
                       'matrix.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
        'supported': 'No'},
 'INDEX': {'class': 'no',
           'description': '<del>Index a named matrix. Parameter: variable name '
                          '(indirect allowed)</del>',
           'indirect_allowed': True,
           'num_arg_fragments': 1,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
           'supported': 'No'},
 'INPUT': {'class': '',
           'description': 'Recall a register or variable to the x-register, '
                          'display the name of the register or variable along '
                          'with the contents of the x-register, and halt '
                          'program execution. Pressing R/S (or ■SST) stores x '
                          'into the register or variable; pressing EXIT '
                          'cancels. (Used only in programs.) Parameter: '
                          'register or variable <del>(indirect allowed)</del>',
           'indirect_allowed': True,
           'num_arg_fragments': 1,
           'num_params': 1,
           'params': '(var)',
           'suggestion': 'Now takes a normal Python variable as a parameter - '
                         'do not put variable in quotes. Specifying HP42S '
                         'registers not supported.  Note: The variable '
                         'referred to as the parameter will be converted into '
                         'RPN as a named variable rather than converted into '
                         'an auto allocated numbered RPN register - unless '
                         'that variable has previously been assigned to - in '
                         'which case it will be converted into RPN as an auto '
                         'allocated numbered register.',
           'supported': '✓'},
 'INSR': {'class': '',
          'description': 'Insert a row in the indexed matrix.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': '',
          'supported': 'mymatrix.insr()'},
 'INTEG': {'class': '',
           'description': 'Integrate the selected integration program with '
                          'respect to the specified variable. Parameter: '
                          'variable name <del>(indirect allowed)</del>',
           'indirect_allowed': True,
           'num_arg_fragments': 1,
           'num_params': 1,
           'params': '(var)',
           'suggestion': 'Now takes a normal Python variable as a parameter - '
                         'do not put variable in quotes. Specifying registers '
                         'not supported.',
           'supported': '✓'},
 'INVRT': {'class': '',
           'description': 'Returns the inverse of the matrix in the '
                          'x-register.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(mvar)',
           'suggestion': '',
           'supported': '✓'},
 'IP': {'class': '',
        'description': 'Returns the integer part of x',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 1,
        'params': '(n)',
        'suggestion': '',
        'supported': '✓'},
 'ISG': {'class': 'no',
         'description': '<del>Increment, Skip if Greater. Given ccccccc.fffii '
                        'in a variable or register, increments ccccccc by ii '
                        'and skips the next program line if ccccccc is now > '
                        'fff. Parameter: register or variable (indirect '
                        'allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use native Python for...range() or while... for '
                       'looping.',
         'supported': 'No'},
 'I–': {'class': 'no',
        'description': '<del>Decrement the row pointer in the indexed '
                       'matrix.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
        'supported': 'No'},
 'J+': {'class': 'no',
        'description': '<del>Increment the column pointer in the indexed '
                       'matrix.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
        'supported': 'No'},
 'J–': {'class': 'no',
        'description': '<del>Decrement the column pointer in the indexed '
                       'matrix.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
        'supported': 'No'},
 'KEYASN': {'class': '',
            'description': 'Selects key-assignments mode for the CUSTOM menu.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': -1,
            'params': '()',
            'suggestion': '',
            'supported': '✓'},
 'KEYG': {'class': '',
          'description': 'On menu key, go to. Branch to specified label to '
                         'when a particular menu key is pressed.  Parameter '
                         '1:: Key number (1 through 9), Parameter 2: program '
                         'label (global or local)',
          'indirect_allowed': False,
          'num_arg_fragments': 2,
          'num_params': 2,
          'params': '(key, somefunc)',
          'suggestion': "KEYG(1, 'somefunc')",
          'supported': '✓'},
 'KEYX': {'class': 'no',
          'description': '<del>On menu key, execute. Execute (as a subroutine) '
                         'specified label when a particular menu key is '
                         'pressed. Parameter 1:: Key number (1 through 9), '
                         'Parameter 2: program label (global or local)</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 2,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables',
          'supported': 'No'},
 'LASTX': {'class': 'no',
           'description': '<del>Last x. Recall the last value of x used in a '
                          'calculation.</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python variables',
           'supported': 'No'},
 'LBL': {'class': 'na',
         'description': '<del>Label. Identify programs and routines for '
                        'execution and branching. Parameter: local or global '
                        'label.</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Not applicable, please use native Python.',
         'supported': 'N/A'},
 'LCLBL': {'class': '',
           'description': 'Select Local label mode for the CUSTOM menu (to use '
                          'CUSTOM menu assignments to execute local Alpha '
                          'labels within the current program).',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': 'In a RPN program generated from Python local alpha '
                         'labels represent the user defined Python functions.',
           'supported': '✓'},
 'LINF': {'class': '',
          'description': 'Select the linear curve-fitting model.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'LINΣ': {'class': '',
          'description': 'Select Linear statistics mode, which uses six '
                         'summation coefficients.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '<code>LINStat()</code>',
          'supported': '✓ (renamed)'},
 'LIST': {'class': 'na',
          'description': 'Print a portion of a program listing. (Not '
                         'programmable.) Parameter: number of lines.',
          'indirect_allowed': False,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': '',
          'supported': 'Not programmable'},
 'LN': {'class': '',
        'description': 'Natural logarithm. Returns ln(x).',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 1,
        'params': '(n)',
        'suggestion': '',
        'supported': '✓'},
 'LN1+X': {'class': '',
           'description': 'Natural logarithm for values close to zero. Returns '
                          'ln(1 + x), which provides a much higher accuracy in '
                          'the fractional part of the result.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '<code>LN1plus(n)</code>',
           'supported': '✓ (renamed)'},
 'LOG': {'class': '',
         'description': 'Common logarithm. Returns log10(x).',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'LOGF': {'class': '',
          'description': 'Select the logarithmic curve-fitting model.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'MAN': {'class': '',
         'description': 'Select Manual print mode.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'MAT?': {'class': '',
          'description': 'If the x-register contains a matrix, <del>execute '
                         'the next program line</del>; if the X-register does '
                         'not contain a matrix, <del>skip the next program '
                         'line</del>.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(x)',
          'suggestion': '<code>isMAT(x)</code>',
          'supported': '✓ (renamed)'},
 'MEAN': {'class': '',
          'description': 'Mean. Returns the mean of x-values (Σx / n) and the '
                         'mean of y-values (Σy / n) that have been stored with '
                         'Σ+. The mean of x is returned to the X-register and '
                         'the mean of y is returned to the Y-register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': "Assign the two return values into variables e.g. 'a, "
                        "b = MEAN()'",
          'supported': '✓'},
 'MENU': {'class': '',
          'description': 'Select the programmable menu.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'MOD': {'class': '',
         'description': 'Modulo. Returns the remainder for y / x.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 2,
         'params': '(y,x)',
         'suggestion': '',
         'supported': '✓'},
 'MVAR': {'class': '',
          'description': 'Declare a menu variable in a SOLVER program. '
                         'Parameter: variable name.',
          'indirect_allowed': False,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'MVAR("length") etc.',
          'supported': '✓'},
 'N!': {'class': '',
        'description': 'Factorial. Returns x!.',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 1,
        'params': '(n)',
        'suggestion': '<code>Factorial(n)</code>',
        'supported': '✓ (renamed)'},
 'NEWMAT': {'class': '',
            'description': 'New matrix. Creates a y × x matrix in the '
                           'x-register.',
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': 2,
            'params': '(rows,cols)',
            'suggestion': '',
            'supported': '✓'},
 'NORM': {'class': '',
          'description': 'Select Normal print mode, which prints a record of '
                         'keystrokes.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'NOT': {'class': 'no',
         'description': '<del>Logical NOT. Returns NOT(x).</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use built in Python boolean operators instead e.g. '
                       '"not val or val2 and val3"',
         'supported': 'No'},
 'OCTM': {'class': '',
          'description': 'Select Octal mode',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'OFF': {'class': '',
         'description': 'Turn the calculator off (programmable). (Pressing '
                        '■OFF does not execute the programmable OFF function.)',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'OLD': {'class': 'no',
         'description': '<del>Recall the current element from the indexed '
                        'matrix. (Equivalent to RCLEL.)</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
         'supported': 'No'},
 'ON': {'class': '',
        'description': 'Continuous on. Prevent the calculator from '
                       'automatically turning off after ten minutes of '
                       'inactivity.',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': -1,
        'params': '()',
        'suggestion': '',
        'supported': '✓'},
 'OR': {'class': 'no',
        'description': '<del>Logical OR. Returns x OR y.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use built in Python boolean operators instead e.g. "not '
                      'val or val2 and val3"',
        'supported': 'No'},
 'PERM': {'class': '',
          'description': 'Permutations of y items taken x at a time. Returns '
                         'y!/(y – x)!',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 2,
          'params': '(y,x)',
          'suggestion': '',
          'supported': '✓'},
 'PGMINT': {'class': '',
            'description': 'Select a program to integrate. Parameter: global '
                           'label <del>(indirect allowed)</del>',
            'indirect_allowed': True,
            'num_arg_fragments': 1,
            'num_params': 1,
            'params': '(funcname_str)',
            'suggestion': 'Pass in the name of the function as a string e.g. '
                          "PGMINT('myfunc')",
            'supported': '✓'},
 'PGMSLV': {'class': '',
            'description': 'Select a program to solve. Parameter: global label '
                           '<del>(indirect allowed)</del> ,',
            'indirect_allowed': True,
            'num_arg_fragments': 1,
            'num_params': 1,
            'params': '(funcname_str)',
            'suggestion': 'Pass in the name of the function as a string e.g. '
                          "PGMSLV('myfunc')",
            'supported': '✓'},
 'PI': {'class': '',
        'description': 'Put an approximation of π into the x-register '
                       '(3.14159265359).',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': -1,
        'params': '()',
        'suggestion': '',
        'supported': '✓'},
 'PIXEL': {'class': '',
           'description': 'Turn on a single pixel (dot) in the display y: row '
                          '(y axis) x: col (x axis)',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(row, col)',
           'suggestion': '',
           'supported': '✓'},
 'POLAR': {'class': '',
           'description': 'Select polar coordinate mode for displaying complex '
                          'numbers.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'POSA': {'class': '',
          'description': 'Position in Alpha. Searches the Alpha register for '
                         'the target specified in the x-register. If found, '
                         'returns the character position; if not found, '
                         'returns -1.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(char)',
          'suggestion': '',
          'supported': '✓'},
 'PRA': {'class': '',
         'description': 'Print Alpha register.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'PRLCD': {'class': '',
           'description': 'Print LCD (liquid crystal display). Prints the '
                          'entire display.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'PROFF': {'class': '',
           'description': 'Printing off. Clears flags 21 and 55.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'PROMPT': {'class': '',
            'description': 'Display the Alpha register and halt program '
                           'execution.  To store the value entered during the '
                           'prompt into a variable simply assign to that '
                           "variable e.g. myvar = PROMPT('enter val')",
            'indirect_allowed': False,
            'num_arg_fragments': 0,
            'num_params': 1,
            'params': '(str)',
            'suggestion': '',
            'supported': '✓'},
 'PRON': {'class': '',
          'description': 'Printing on. Sets flags 21 and 55.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'PRP': {'class': 'na',
         'description': 'Print program. If a label is not specified, print the '
                        'current program. (Not programmable.)  Parameter: '
                        'global label (optional)',
         'indirect_allowed': False,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': '',
         'supported': 'Not programmable'},
 'PRSTK': {'class': '',
           'description': 'Print stack. Print the contents of the stack '
                          'registers (x, y, z and t).',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'PRUSR': {'class': '',
           'description': 'Print user variables and programs.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'PRV': {'class': '',
         'description': 'Print variable. Parameter: variable name '
                        '<del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(var)',
         'suggestion': '',
         'supported': '✓'},
 'PRX': {'class': '',
         'description': 'Print x-register.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(var)',
         'suggestion': 'Prints any variable to the virtual printer. E.g. '
                       'PRX(myvar)',
         'supported': '✓'},
 'PRZ': {'class': '',
         'description': 'Print statistics. Prints the contents of the '
                        'summation registers.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'PSE': {'class': '',
         'description': 'Pause program execution for about 1 second.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'PUTM': {'class': 'no',
          'description': '<del>Put matrix. Stores the matrix in the X-register '
                         'into the indexed matrix beginning at the current '
                         'element.</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
          'supported': 'No'},
 'PWRF': {'class': '',
          'description': 'Select the power curve-fitting model.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'QUIET': {'class': 'na',
           'description': 'Toggle flag 26 to disable or enable the beeper (Not '
                          'programmable )',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': '',
           'supported': 'Not programmable'},
 'R/S': {'class': '',
         'description': 'Run/stop. Runs a program (beginning at the current '
                        'program line) or stops a running program. In '
                        'program-entry mode, inserts a STOP instruction into '
                        'the program.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': 'Use STOP()',
         'supported': '✓'},
 'R<>R': {'class': '',
          'description': 'Row swap row. Swaps the elements in rows x and y in '
                         'the indexed matrix.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': '',
          'supported': 'mymatrix.row_swap(row,row)'},
 'RAD': {'class': '',
         'description': 'Select Radians angular mode',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'RAN': {'class': '',
         'description': 'Returns a random number (0 ≤ x < 1)',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': '',
         'supported': '✓'},
 'RCL': {'class': '',
         'description': 'Recall data into the x-register. Parameter: register '
                        'or variable',
         'indirect_allowed': False,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(register_num)',
         'suggestion': 'Whilst register use is generally not supported (use '
                       'Python variables instead) sometimes it is useful to '
                       'access a specific RPN calculator register e.g. a '
                       'statistical register like 11 or 12 etc. You can do '
                       "this with e.g. 'RCL(12)' and this instruction will be "
                       'inserted into the converted RPN program. Typically '
                       "entering the Python code 'x = RCL(12)' is more useful "
                       'since you can then use that value somewhere or even '
                       'display it e.g. print(x)',
         'supported': '✓'},
 'RCL+': {'class': 'no',
          'description': '<del>Recall addition. Recall data and add it to the '
                         'contents of the x-register. Parameter: register or '
                         'variable (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'RCL-': {'class': 'no',
          'description': '<del>Recall subtraction. Recall data and subtract it '
                         'from the contents of the x-register. Parameter: '
                         'register or variable (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'RCLEL': {'class': 'no',
           'description': '<del>Recall element. Recalls the current matrix '
                          'element from the indexed matrix.</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
           'supported': 'No'},
 'RCLIJ': {'class': 'no',
           'description': '<del>Recall the row- and column-pointer values (I '
                          'and J) for the indexed matrix.</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
           'supported': 'No'},
 'RCL×': {'class': 'no',
          'description': '<del>Recall multiplication. Recall data and multiply '
                         'it by the contents of the x-register. Parameter: '
                         'register or variable (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'RCL÷': {'class': 'no',
          'description': '<del>Recall division. Recall data and divide it into '
                         'the contents of the x-register. Parameter: register '
                         'or variable (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'RDX,': {'class': '',
          'description': 'Select a comma to be used as the radix mark (decimal '
                         'point).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '<code>RDXcomma()</code>',
          'supported': '✓ (renamed)'},
 'RDX.': {'class': '',
          'description': 'Select a period to be used as the radix mark '
                         '(decimal point).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '<code>RDXperiod()</code>',
          'supported': '✓ (renamed)'},
 'REAL?': {'class': '',
           'description': 'If the x-register contains a real number, '
                          '<del>execute the next program line</del>; if the '
                          'x-register does not contain a real number, '
                          '<del>skip the next program line</del>.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(n)',
           'suggestion': '<code>isREAL(n)</code>',
           'supported': '✓ (renamed)'},
 'REALRES': {'class': '',
             'description': "Real-results. Disables the calculator's ability "
                            'to return a complex result using real-number '
                            'inputs.',
             'indirect_allowed': False,
             'num_arg_fragments': 0,
             'num_params': -1,
             'params': '()',
             'suggestion': '',
             'supported': '✓'},
 'RECT': {'class': '',
          'description': 'Select Rectangular coordinate mode for displaying '
                         'complex numbers.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'RND': {'class': '',
         'description': 'Round the number in the x-register using the current '
                        'display format.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'RNRM': {'class': '',
          'description': 'Return the row norm of the matrix in the x-register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(mvar)',
          'suggestion': '',
          'supported': '✓'},
 'ROTXY': {'class': '',
           'description': 'Rotate the 36-bit number in the y-register by x '
                          'bits.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 2,
           'params': '(y,x)',
           'suggestion': 'Pass two parameters to this function.',
           'supported': '✓'},
 'RSUM': {'class': '',
          'description': 'Return the row sum of each row of the matrix in the '
                         'x-register and returns the sums in a column matrix.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(mvar)',
          'suggestion': '',
          'supported': '✓'},
 'RTN': {'class': '',
         'description': 'Return. In a running program, branches the program '
                        'pointer back to the line following the most recent '
                        'XEQ instruction. If there is no matching XEQ '
                        'instruction, program execution halts. From the '
                        'keyboard, RTN moves the program pointer to line 00 of '
                        'the current program.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': '',
         'supported': 'return'},
 'R↑': {'class': 'no',
        'description': '<del>Roll up the contents of the four stack registers '
                       'one position.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use Python variables',
        'supported': 'No'},
 'R↓': {'class': 'no',
        'description': '<del>Roll down the contents of the four stack '
                       'registers one position.</del>',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 0,
        'params': '',
        'suggestion': 'Use Python variables',
        'supported': 'No'},
 'SCI': {'class': '',
         'description': 'Select scientific notation display format. Parameter: '
                        'number of digits <del>(indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 1,
         'params': '(digits)',
         'suggestion': '',
         'supported': '✓'},
 'SDEV': {'class': '',
          'description': 'Standard deviation. Returns sx and sy using the '
                         'current statistical data.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'SEED': {'class': '',
          'description': 'Store a seed for the random number generator.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'SF': {'class': '',
        'description': 'Set flag nn (00 ≤ nn ≤ 35; 81 ≤ nn ≤ 99). Parameter: '
                       'flag number <del>(indirect allowed)</del>',
        'indirect_allowed': True,
        'num_arg_fragments': 1,
        'num_params': 1,
        'params': '(flag)',
        'suggestion': '',
        'supported': '✓'},
 'SIGN': {'class': '',
          'description': 'Sign. Return 1 for x ≥ 0, –1 for x < 0, and 0 for '
                         'non-numbers. Returns the unit vector of a complex '
                         'number.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(var)',
          'suggestion': '',
          'supported': '✓'},
 'SIN': {'class': '',
         'description': 'Sine. Returns sin(x).',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'SINH': {'class': '',
          'description': 'Hyperbolic sine. Returns sinh(x).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'SIZE': {'class': '',
          'description': 'Set the number of storage registers. Parameter: '
                         'number of registers.',
          'indirect_allowed': False,
          'num_arg_fragments': 1,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'SLOPE': {'class': '',
           'description': 'Return the slope of the linear transformation of '
                          'the current curve-fitting model.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'SOLVE': {'class': '',
           'description': 'Solve for an unknown variable. Parameter: variable '
                          'name <del>(indirect allowed)</del>',
           'indirect_allowed': True,
           'num_arg_fragments': 1,
           'num_params': 1,
           'params': '(var)',
           'suggestion': '',
           'supported': '✓'},
 'SQRT': {'class': '',
          'description': 'Square root. Returns √x.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'SST': {'class': 'na',
         'description': 'Single step. Moves the program pointer to the next '
                        'program line. (Not programmable.)',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': '',
         'supported': 'Not programmable'},
 'STO': {'class': 'no',
         'description': '<del>Store a copy of x into a destination register or '
                        'variable. Parameter: register or variable (indirect '
                        'allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                       '+= 1, var2 = myvar" or even expressions like "myvar *= '
                       'var3/(2-1)"',
         'supported': 'No'},
 'STO+': {'class': 'no',
          'description': '<del>Store addition. Adds x to an existing register '
                         'or variable. Parameter: register or variable '
                         '(indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'STOEL': {'class': 'no',
           'description': '<del>Store element. Stores a copy of x into the '
                          'current element of the indexed matrix.</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
           'supported': 'No'},
 'STOIJ': {'class': 'no',
           'description': '<del>Moves the row- and column-pointers to I = x '
                          'and J = y in the indexed matrix.</del>',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 0,
           'params': '',
           'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
           'supported': 'No'},
 'STOP': {'class': '',
          'description': 'Stop program execution. (R/S in program entry mode).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'STO×': {'class': 'no',
          'description': '<del>Store multiplication. Multiplies an existing '
                         'register or variable by x. Parameter: register or '
                         'variable (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'STO÷': {'class': 'no',
          'description': '<del>Store division. Divides an existing register or '
                         'variable by x. Parameter: register or variable '
                         '(indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'STO–': {'class': 'no',
          'description': '<del>Store subtraction. Subtracts x from an existing '
                         'register or variable. Parameter: register or '
                         'variable (indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables instead, e.g. "myar = 100, myvar '
                        '+= 1, var2 = myvar" or even expressions like "myvar '
                        '*= var3/(2-1)"',
          'supported': 'No'},
 'STR?': {'class': '',
          'description': 'If the x-register contains an Alpha string, '
                         '<del>execute the next program line</del>; if the '
                         'x-register does not contain an Alpha string, '
                         '<del>skip the next program line</del>.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(x)',
          'suggestion': '<code>isSTR(x)</code>',
          'supported': '✓ (renamed)'},
 'SUM': {'class': '',
         'description': 'Returns the sums Σx and Σy into the x- and '
                        'y-registers.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': -1,
         'params': '()',
         'suggestion': "Assign the two return values into variables e.g. 'a, b "
                       "= SUM()'",
         'supported': '✓'},
 'TAN': {'class': '',
         'description': 'Tangent. Returns tan(x).',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '',
         'supported': '✓'},
 'TANH': {'class': '',
          'description': 'Hyperbolic tangent. Returns tanh(x).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'TONE': {'class': '',
          'description': 'Sounds a tone. Parameter: tone number (0–9) '
                         '<del>(indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'TRACE': {'class': '',
           'description': 'Select Trace printing mode, which prints a record '
                          'of keystrokes and results.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'TRANS': {'class': '',
           'description': 'Return the transpose of the matrix in the '
                          'x-register.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': 1,
           'params': '(mvar)',
           'suggestion': '',
           'supported': '✓'},
 'UVEC': {'class': '',
          'description': 'Unit vector. Return the unit vector for the matrix '
                         'or complex number in the x-register.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '',
          'supported': '✓'},
 'VARMENU': {'class': '',
             'description': 'Create a variable menu using MVAR instructions '
                            'following the specified global label. Parameter: '
                            'global program label. <del>(indirect '
                            'allowed)</del>',
             'indirect_allowed': True,
             'num_arg_fragments': 1,
             'num_params': 0,
             'params': '',
             'suggestion': 'Also check out the new advanced Python function '
                           'varmenu()',
             'supported': '✓'},
 'VIEW': {'class': '',
          'description': 'View the contents of a register or variable. '
                         'Parameter: register or variable <del>(indirect '
                         'allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 1,
          'params': '(var)',
          'suggestion': '',
          'supported': '✓'},
 'WMEAN': {'class': '',
           'description': 'Weighted mean. Return the mean of x-values weighted '
                          'by the y-values Σxy / Σy that have been stored with '
                          'Σ+.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '',
           'supported': '✓'},
 'WRAP': {'class': 'no',
          'description': '<del>Select Wrap mode, which prevents the indexed '
                         'matrix from growing.</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
          'supported': 'No'},
 'X<0?': {'class': 'no',
          'description': '<del> X less than zero test. If true, execute the '
                         'next program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X<>': {'class': 'no',
         'description': '<del>Swaps the contents of the x-register with '
                        'another register or variable. Parameter: register or '
                        'variable (indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use Python variables',
         'supported': 'No'},
 'X<>Y': {'class': 'no',
          'description': '<del>Swaps the contents of the x- and '
                         'y-registers.</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python variables',
          'supported': 'No'},
 'X<Y?': {'class': 'no',
          'description': '<del> X less than y test. If true, execute the next '
                         'program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X=0?': {'class': 'no',
          'description': '<del> X equal to zero test. If true, execute the '
                         'next program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X=Y?': {'class': 'no',
          'description': '<del> X equal to y test. If true, execute the next '
                         'program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X>0?': {'class': 'no',
          'description': '<del>X greater than zero test. If true, execute the '
                         'next program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X>Y?': {'class': 'no',
          'description': '<del>X greater than y test. If true, execute the '
                         'next program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'XEQ': {'class': 'na',
         'description': '<del>Execute a function or program. Parameter: '
                        'function or label (indirect allowed)</del>',
         'indirect_allowed': True,
         'num_arg_fragments': 1,
         'num_params': 0,
         'params': '',
         'suggestion': 'Just call a function e.g. myfunc()',
         'supported': 'N/A'},
 'XOR': {'class': 'no',
         'description': '<del>Logical XOR (exclusive OR). Returns x XOR '
                        'y.</del>',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 0,
         'params': '',
         'suggestion': 'Use built in Python boolean operators instead e.g. '
                       '"not val or val2 and val3"',
         'supported': 'No'},
 'XTOA': {'class': '',
          'description': ' X to Alpha. Appends a character (specified by the '
                         'code in the x-register) to the Alpha register. If '
                         'the x-register contains an Alpha string, appends the '
                         'entire string.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n_or_str)',
          'suggestion': 'Parameter can be an integer or a string',
          'supported': '✓'},
 'X↑2': {'class': '',
         'description': 'Square. Returns x2.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': 'y**2',
         'supported': '✓ (renamed)'},
 'X≠0?': {'class': 'no',
          'description': '<del> X not equal to zero test. If true, execute the '
                         'next program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X≠Y?': {'class': 'no',
          'description': '<del>X not equal to y test. If true, execute the '
                         'next program line; if false, skip the next program '
                         'line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X≤0?': {'class': 'no',
          'description': '<del> X less than or equal to zero test. If true, '
                         'execute the next program line; if false, skip the '
                         'next program line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X≤Y?': {'class': 'no',
          'description': '<del> X less than or equal to y test. If true, '
                         'execute the next program line; if false, skip the '
                         'next program line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X≥0?': {'class': 'no',
          'description': '<del>X greater than or equal to zero test. If true, '
                         'execute the next program line; if false, skip the '
                         'next program line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'X≥Y?': {'class': 'no',
          'description': '<del>X greater than or equal to y test. If true, '
                         'execute the next program line; if false, skip the '
                         'next program line</del>',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 0,
          'params': '',
          'suggestion': 'Use Python "if" statements instead. E.g. "if var1 == '
                        'var2 or (var3 >= var4):"...',
          'supported': 'No'},
 'YINT': {'class': '',
          'description': 'y-intercept. Returns the y-intercept of the curve '
                         'fitted to the current statistical data.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': -1,
          'params': '()',
          'suggestion': '',
          'supported': '✓'},
 'Y↑X': {'class': '',
         'description': 'Power. Returns yx.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': 'y**x',
         'supported': '✓ (renamed)'},
 '×': {'class': '',
       'description': 'Multiplication. Returns x × y.',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': '',
       'supported': '✓'},
 '÷': {'class': '',
       'description': 'Division. Returns y / x.',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': '',
       'supported': '✓'},
 'Σ+': {'class': '',
        'description': 'Summation plus. Accumulate a pair of x- and y values '
                       'into the summation registers.',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 2,
        'params': '(y,x)',
        'suggestion': '<code>StatPlus(y,x)</code>',
        'supported': '✓ (renamed)'},
 'Σ-': {'class': '',
        'description': 'Summation minus. Subtract a pair of x- and y-values '
                       'from the summation registers.',
        'indirect_allowed': False,
        'num_arg_fragments': 0,
        'num_params': 2,
        'params': '(y,x)',
        'suggestion': '<code>StatMinus(y,x)</code>',
        'supported': '✓ (renamed)'},
 'ΣREG': {'class': '',
          'description': 'Summation registers. Defines which storage register '
                         'begins the block of summation registers. Parameter: '
                         'register number <del>(indirect allowed)</del>',
          'indirect_allowed': True,
          'num_arg_fragments': 1,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>StatREG(n)</code>',
          'supported': '✓ (renamed)'},
 'ΣREG?': {'class': '',
           'description': 'Return the register number of the first summation '
                          'register.',
           'indirect_allowed': False,
           'num_arg_fragments': 0,
           'num_params': -1,
           'params': '()',
           'suggestion': '<code>StatWhichREG()</code>',
           'supported': '✓ (renamed)'},
 '–': {'class': '',
       'description': 'Subtraction. Returns y – x.',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': '',
       'supported': '✓'},
 '←': {'class': 'no',
       'description': '<del>Move left one element in the indexed matrix.</del>',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
       'supported': 'No'},
 '↑': {'class': 'no',
       'description': '<del>Move up one element in the indexed matrix.</del>',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
       'supported': 'No'},
 '→': {'class': 'no',
       'description': '<del>Move right one element in the indexed '
                      'matrix.</del>',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
       'supported': 'No'},
 '→DEC': {'class': '',
          'description': 'To decimal. Converts the octal (base 8) '
                         'representation of a number to decimal (base 10). '
                         'Note: This function is included to provide program '
                         'compatibility with the HP-41 (which uses the '
                         'function name DEC).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>toDEC(n)</code>',
          'supported': '✓ (renamed)'},
 '→DEG': {'class': '',
          'description': 'To degrees. Convert an angle-value from radians to '
                         'degrees. Returns x×(180/π).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>toDEG(n)</code>',
          'supported': '✓ (renamed)'},
 '→HMS': {'class': '',
          'description': 'To hours, minutes, and seconds. Convert x from a '
                         'decimal fraction to a minutes-seconds format.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>toHMS(n)</code>',
          'supported': '✓ (renamed)'},
 '→HR': {'class': '',
         'description': 'To hours. Converts x from a minutes-seconds format to '
                        'a decimal fraction.',
         'indirect_allowed': False,
         'num_arg_fragments': 0,
         'num_params': 1,
         'params': '(n)',
         'suggestion': '<code>toHR(n)</code>',
         'supported': '✓ (renamed)'},
 '→OCT': {'class': '',
          'description': 'To octal. Converts a decimal number to the octal '
                         'representation. Note: This function is included to '
                         'provide program compatibility with the HP-41 (which '
                         'uses the function name OCT).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>toOCT(n)</code>',
          'supported': '✓ (renamed)'},
 '→POL': {'class': '',
          'description': 'To polar. Converts x and y to the corresponding '
                         'polar coordinates r and θ. If the x-register '
                         'contains a complex number, converts the two parts of '
                         'the number to polar values.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(...)',
          'suggestion': 'Takes one or two parameters. If the parameter is a '
                        'single complex number, returns a single complex '
                        'number e.g. <code>complex_num = '
                        'toPOL(complex_num)</code>.  If the parameters are two '
                        'normal numbers, returns two normal numbers - assign '
                        'the two return values into variables e.g. <code>a, b '
                        '= toPOL(1, 2)</code>',
          'supported': '✓'},
 '→RAD': {'class': '',
          'description': 'To radians. Converts a angle value in degrees to '
                         'radians. Returns x×(π/180).',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(n)',
          'suggestion': '<code>toRAD(n)</code>',
          'supported': '✓ (renamed)'},
 '→REC': {'class': '',
          'description': 'To rectangular. Converts r (in the x-register) and θ '
                         '(in the y-register) to the corresponding rectangular '
                         'coordinates, x and y. If the X-register contains a '
                         'complex number, converts the two parts of the number '
                         'to rectangular values.',
          'indirect_allowed': False,
          'num_arg_fragments': 0,
          'num_params': 1,
          'params': '(...)',
          'suggestion': 'Takes one or two parameters. If the parameter is a '
                        'single complex number, returns a single complex '
                        'number e.g. <code>complex_num = '
                        'toREC(complex_num)</code>.  If the parameters are two '
                        'normal numbers <code>(θ,r)</code>, returns two normal '
                        'numbers - assign the two return values into variables '
                        'e.g. <code>a, b = toREC(1, 2)</code>',
          'supported': '✓'},
 '↓': {'class': 'no',
       'description': '<del>Move down one element in the indexed matrix.</del>',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': 'Use Python matrix/list indexing and slicing syntax.',
       'supported': 'No'},
 '◄': {'class': 'na',
       'description': 'Backspace or clear x-register. In Program entry mode, '
                      'deletes the current program line. Not programmable',
       'indirect_allowed': False,
       'num_arg_fragments': 0,
       'num_params': 0,
       'params': '',
       'suggestion': '',
       'supported': 'Not programmable'}}